KDE 4.7 PyKDE API Reference

- KDE's Python API

# TextEvent Class Reference

`from PyKDE4.khtml import *`

Inherits: DOM.UIEvent → DOM.Event
Namespace: DOM

## Detailed Description

Introduced in DOM Level 3

DOM.TextEvent is used to indicate actual text entry during text input. It corresponds to the HTML keypress events

## Methods
| __init__ (self)
| __init__ (self, DOM.TextEvent other)
| __init__ (self, DOM.Event other)
| initTextEvent (self, DOM.DOMString typeArg, bool canBubbleArg, bool cancelableArg, DOM.AbstractView viewArg, DOM.DOMString dataArg)

## Method Documentation

__init__ | ( |  | self ) |

__init__ | ( | self, |
|  | DOM.TextEvent | other
| ) |  |  |

__init__ | ( | self, |
|  | DOM.Event | other
| ) |  |  |

initTextEvent | ( | self, |
|  | DOM.DOMString | typeArg,
|  | bool | canBubbleArg,
|  | bool | cancelableArg,
|  | DOM.AbstractView | viewArg,
|  | DOM.DOMString | dataArg
| ) |  |  |

initTextEvent The initTextEvent method is used to initialize the value of a TextEvent object and has the same behavior as UIEvent.initUIEvent(). The value of UIEvent.detail remains undefined.

Parameters:

Specifies the event type. canBubbleArg of type boolean Specifies whether or not the event can bubble. cancelableArg of type boolean Specifies whether or not the event's default action can be prevent. viewArg of type views.AbstractView Specifies the TextEvent's AbstractView. dataArg of type DOMString Specifies TextEvent.data.